@import "./base/mixins";

.swiper:not(.swiper-initialized) {
  .swiper-button-next,
  .swiper-button-prev {
    display: none !important;
  }

  & + .swiper-button-next,
  & + .swiper-button-prev,
  & + .swiper-button-next + .swiper-button-prev,
  & + .swiper-button-prev + .swiper-button-next {
    display: none !important;
  }
}

@import "../../node_modules/swiper/swiper.scss";
@import "../../node_modules/swiper/modules/navigation.scss";
@import "../../node_modules/swiper/modules/pagination.scss";
@import "../../node_modules/swiper/modules/zoom.scss";

.swiper-button-next,
.swiper-button-prev {
  --swiper-navigation-size: 2rem;
  --swiper-theme-color: var(--primary-color);
  border-radius: 0.4rem;
  height: 4rem;
  width: 4rem;
  background-color: var(--white);
  box-shadow: 0px 0px 16px 0px rgba(0, 0, 0, 0.1);
  transition: var(--transition);

  &.-disabled,
  &.swiper-button-disabled {
    opacity: 0.2;
    pointer-events: all;
  }

  &::after {
    font-weight: 400;
  }

  &:hover:not(.-disabled):not(.swiper-button-disabled) {
    box-shadow: 0px 0px 16px 0px rgba(0, 0, 0, 0.4);
  }
}

.swiper-button-next {
  padding: 0.5rem 0.5rem 0.5rem 0.8rem;
}
.swiper-button-prev {
  padding: 0.5rem 0.8rem 0.5rem 0.5rem;
}

.swiper-pagination {
  justify-content: center;
  align-items: center;
  width: 80% !important;
  left: 10% !important;
  flex-wrap: wrap;

  &:not(.swiper-pagination-lock) {
    display: flex;
  }
}

.swiper-pagination-bullet {
  background: var(--gray-4) !important;
  margin: 0 0.8rem 0.4rem !important;
  width: 0.6rem !important;
  height: 0.6rem !important;
  opacity: 0.4 !important;
}

.swiper-pagination-bullet-active {
  height: 1rem !important;
  width: 1rem !important;
  opacity: 1 !important;
}

.swiper-pagination-lock,
.swiper-button-lock {
  display: none !important;
}
